File is not uploaded to the cloud (AttributeError: 'Root' object has no attribute 'subscribed')

Bug #842839 reported by Natalia Bidart on 2011-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
Facundo Batista
ubuntuone-client (Ubuntu)
Critical
dobey

Bug Description

2011-09-06 12:18:47,559 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: FS_FILE_CREATE, kwargs: {'path': '/home/nessita/Ubuntu One/vals.mp4'}
2011-09-06 12:18:47,560 - ubuntuone.SyncDaemon.EQ - ERROR - Error encountered while handling: FS_FILE_CREATE in <ubuntuone.syncdaemon.sync.Sync object at 0xb089690>
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/syncdaemon/event_queue.py", line 290, in _dispatch
    method(**kwargs)
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/syncdaemon/sync.py", line 945, in handle_FS_FILE_CREATE
    if not key.is_subscribed():
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/syncdaemon/sync.py", line 234, in is_subscribed
    return volume.subscribed
AttributeError: 'Root' object has no attribute 'subscribed'
2011-09-06 12:18:47,560 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: FS_FILE_OPEN, kwargs: {'path': '/home/nessita/Ubuntu One/vals.mp4'}

Related branches

Natalia Bidart (nataliabidart) wrote :

Not attaching logs since I can't make the bug report private (getting timeout rror).

Log is private at https://pastebin.canonical.com/52317/.

Changed in ubuntuone-client:
assignee: nobody → Facundo Batista (facundo)
tags: added: chicharra chicharra-oneiric
Changed in ubuntuone-client:
importance: Undecided → High
status: New → Triaged
summary: - File is not upload to the cloud (AttributeError: 'Root' object has no
+ File is not uploaded to the cloud (AttributeError: 'Root' object has no
attribute 'subscribed')
Changed in ubuntuone-client:
importance: High → Critical
Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
milestone: none → 2.0.0
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Critical
status: New → In Progress
milestone: none → ubuntu-11.10
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 2.0.0-0ubuntu1

---------------
ubuntuone-client (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - No watches needed on parent folders (LP: #838111)
    - Root is always subscribed (LP: #842839)
    - Unicode path asserts failing (LP: #845009)
    - Local Rescan is putting non-UTF8 paths into syncdaemon (LP: #696901)
    - IOError in tritcask metadata (LP: #776386)
    - Missinglogin_email_password on Linux (LP: #831043)
    - Unsubscribing share and deleting content triggers unlinks (LP: #820353)
    - Only make the link if it doesn't exist (LP: #833812)
    - Client restarts on SSL connection error (LP: #833388)
    - Stop logging sensitive data (LP: #837488)
    - Add delay to the hash queue (LP: #838104)
    - Crash if no keydir stats for inactive file (LP: #848224)
    - Use correct desktop file for launcher progress bar (LP: #851187)
    - Folder nesting check is incorrect (LP: #854776)
    - Should have a --version switch for u1sdtool (LP: #379841)
  * debian/control:
    - Update versions of some dependencies to be more correct
    - Recommend ubuntuone-installer needed for Unity launcher integration
 -- Rodney Dawes <email address hidden> Tue, 27 Sep 2011 11:18:41 -0400

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers